[openrtm-commit:00848] r2375 - trunk/OpenRTM-aist/build
openrtm @ openrtm.org
openrtm @ openrtm.org
2012年 6月 8日 (金) 13:08:28 JST
Author: n-ando
Date: 2012-06-08 13:08:28 +0900 (Fri, 08 Jun 2012)
New Revision: 2375
Modified:
trunk/OpenRTM-aist/build/pkg_install100_debian.sh
Log:
aptitude was replaced with apt-get, because some dist has no aptitude. Uninstallation func now tries purge if remove failed.
Modified: trunk/OpenRTM-aist/build/pkg_install100_debian.sh
===================================================================
--- trunk/OpenRTM-aist/build/pkg_install100_debian.sh 2012-06-08 03:57:44 UTC (rev 2374)
+++ trunk/OpenRTM-aist/build/pkg_install100_debian.sh 2012-06-08 04:08:28 UTC (rev 2375)
@@ -171,10 +171,13 @@
#----------------------------------------
uninstall_packages () {
for p in $*; do
- echo $msg11 $p
- aptitude remove $p
- echo $msg10
- echo ""
+ echo $msg11 $p
+ apt-get remove $p
+ if test "$?" != 0; then
+ apt-get purge $p
+ fi
+ echo $msg10
+ echo ""
done
}
@@ -195,6 +198,8 @@
check_reposerver
create_srclist
update_source_list
+ apt-get autoclean
apt-get update
+ uninstall_packages `reverse $openrtm`
install_packages $packages
fi
More information about the openrtm-commit
mailing list